Loading...
Searching...
No Matches
pappso::cbor::psm::PsmFileReaderBase Class Reference

`#include <psmfilereaderbase.h>`

Inheritance diagram for pappso::cbor::psm::PsmFileReaderBase:

## Classes

struct | PsmProteinRef

## Public Member Functions

| PsmFileReaderBase ()
virtual | ~PsmFileReaderBase () override
void | readCbor (QFile *cborp, pappso::UiMonitorInterface &monitor)
void | readCbor (QIODevice *cborp, pappso::UiMonitorInterface &monitor)
Public Member Functions inherited from pappso::cbor::CborStreamReaderInterface
| CborStreamReaderInterface ()
virtual | ~CborStreamReaderInterface ()
virtual void | close ()
| convenient function to clean pointer before leaving

## Protected Member Functions

void | readRoot (pappso::UiMonitorInterface &monitor)
virtual void | readInformations (pappso::UiMonitorInterface &monitor)
virtual void | readLog (pappso::UiMonitorInterface &monitor)
virtual void | readParameterMap (pappso::UiMonitorInterface &monitor)
virtual void | readProteinMap (pappso::UiMonitorInterface &monitor)
virtual void | readSample (pappso::UiMonitorInterface &monitor)
virtual void | readScan (pappso::UiMonitorInterface &monitor)
virtual void | readPsm (pappso::UiMonitorInterface &monitor)
virtual void | psmReady (pappso::UiMonitorInterface &monitor)
virtual void | logReady (pappso::UiMonitorInterface &monitor)
virtual void | informationsReady (pappso::UiMonitorInterface &monitor)
virtual void | parameterMapReady (pappso::UiMonitorInterface &monitor)
virtual void | fastaFilesReady (pappso::UiMonitorInterface &monitor)
virtual void | proteinMapReady (pappso::UiMonitorInterface &monitor)
virtual void | sampleListStarted (pappso::UiMonitorInterface &monitor)
virtual void | sampleStarted (pappso::UiMonitorInterface &monitor)
virtual void | scanStarted (pappso::UiMonitorInterface &monitor)
virtual void | scanFinished (pappso::UiMonitorInterface &monitor)
virtual void | sampleFinished (pappso::UiMonitorInterface &monitor)
virtual void | sampleListFinished (pappso::UiMonitorInterface &monitor)
PsmFile | readPsmFile (bool &is_ok)
void | writePsmFile (CborStreamWriter &writer, const PsmFile &psm_file)
void | writePsmFileList (CborStreamWriter &writer, const std::vector< PsmFile > &file_list)
PsmProteinRef | readPsmProteinRef (bool &is_ok)
pappso::PeptideSp | getCurrentPsmPeptideSp () const
pappso::QualifiedMassSpectrumSPtr | getCurrentQualifiedMassSpectrumSPtr () const
| get the qualified Spectrum for the current PSM
bool | currentProteinRefListContainsDecoy () const
| tells if the current PSM has a decoy accession
bool | currentProteinRefListContainsTarget () const
| tells if the current PSM has a target accession
double | getPrecursorMass (double mz_prec, uint charge) const
| convenient function do compute precusor ion mass
Protected Member Functions inherited from pappso::cbor::CborStreamReaderInterface
bool | getExpectedString ()
void | initCborReader (QFile *pcborfile)
void | initCborReader (QIODevice *pcborfile)

## Protected Attributes

QStringList | m_targetFastaFiles
QStringList | m_decoyFastaFiles
PsmProteinMap | m_proteinMap
QString | m_currentSampleName
PsmFile | m_currentPeaklistFile
std::vector< PsmFile > | m_currentIdentificationFileList
QCborMap | m_cborInformations
QCborArray | m_cborLog
QCborMap | m_cborParameterMap
QCborMap | m_cborScanId
QCborMap | m_cborScanPrecursor
QCborMap | m_cborScanMs2
QCborMap | m_cborScanProps
QCborMap | m_cborScanPsmEval
QCborMap | m_cborScanPsmProps
QString | m_currentPsmProforma
std::vector< PsmProteinRef > | m_currentPsmProteinRefList
Protected Attributes inherited from pappso::cbor::CborStreamReaderInterface
CborStreamReader * | mpa_cborReader = nullptr
QString | m_expectedString
QByteArray | m_data

## Detailed Description

Todo
  write docs

Definition at line 55 of file psmfilereaderbase.h.

## Constructor & Destructor Documentation

## PsmFileReaderBase()

pappso::cbor::psm::PsmFileReaderBase::PsmFileReaderBase | ( |  | ) |

Default constructor

Definition at line 42 of file psmfilereaderbase.cpp.

: CborStreamReaderInterface()
{
}
pappso::cbor::CborStreamReaderInterface::CborStreamReaderInterface
CborStreamReaderInterface()
Definition cborstreamreaderinterface.cpp:30

References pappso::cbor::CborStreamReaderInterface::CborStreamReaderInterface().

## ~PsmFileReaderBase()

pappso::cbor::psm::PsmFileReaderBase::~PsmFileReaderBase | ( |  | ) |

override virtual

Destructor

Definition at line 46 of file psmfilereaderbase.cpp.

{
// qWarning() << "~PsmFileReaderBase";
}

## Member Function Documentation

## currentProteinRefListContainsDecoy()

bool pappso::cbor::psm::PsmFileReaderBase::currentProteinRefListContainsDecoy | ( |  | ) | const

protected

tells if the current PSM has a decoy accession

Returns
  boolean

Definition at line 83 of file psmfilereaderbase.cpp.

{
for(auto &it : m_currentPsmProteinRefList)
{
if(!m_proteinMap.getByAccession(it.accession).isTarget)
return true;
}
return false;
}
pappso::cbor::psm::PsmFileReaderBase::m_currentPsmProteinRefList
std::vector< PsmProteinRef > m_currentPsmProteinRefList
Definition psmfilereaderbase.h:143
pappso::cbor::psm::PsmFileReaderBase::m_proteinMap
PsmProteinMap m_proteinMap
Definition psmfilereaderbase.h:129

References m_currentPsmProteinRefList, and m_proteinMap.

## currentProteinRefListContainsTarget()

bool pappso::cbor::psm::PsmFileReaderBase::currentProteinRefListContainsTarget | ( |  | ) | const

protected

tells if the current PSM has a target accession

Returns
  boolean

Definition at line 94 of file psmfilereaderbase.cpp.

{
for(auto &it : m_currentPsmProteinRefList)
{
if(m_proteinMap.getByAccession(it.accession).isTarget)
return true;
}
return false;
}

References m_currentPsmProteinRefList, and m_proteinMap.

## fastaFilesReady()

void pappso::cbor::psm::PsmFileReaderBase::fastaFilesReady | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, pappso::cbor::psm::PsmFileAppend, and pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 640 of file psmfilereaderbase.cpp.

{
}

Referenced by readRoot().

## getCurrentPsmPeptideSp()

pappso::PeptideSp pappso::cbor::psm::PsmFileReaderBase::getCurrentPsmPeptideSp | ( |  | ) | const

protected

Definition at line 670 of file psmfilereaderbase.cpp.

{
pappso::PeptideSp peptide_sp;
if(m_currentPsmProforma.isEmpty())
{
throw pappso::PappsoException(QObject::tr("ERROR: m_currentPsmProforma is empty"));
}
else
{
peptide_sp = pappso::PeptideProFormaParser::parseString(m_currentPsmProforma);
}
return peptide_sp;
}
pappso::PeptideProFormaParser::parseString
static PeptideSp parseString(const QString &pepstr)
Definition peptideproformaparser.cpp:228
pappso::cbor::psm::PsmFileReaderBase::m_currentPsmProforma
QString m_currentPsmProforma
Definition psmfilereaderbase.h:142
pappso::PeptideSp
std::shared_ptr< const Peptide > PeptideSp
Definition aamodification.h:48

References m_currentPsmProforma, and pappso::PeptideProFormaParser::parseString().

## getCurrentQualifiedMassSpectrumSPtr()

pappso::QualifiedMassSpectrumSPtr pappso::cbor::psm::PsmFileReaderBase::getCurrentQualifiedMassSpectrumSPtr | ( |  | ) | const

protected

get the qualified Spectrum for the current PSM

Returns
  a qualified mass spectrum

Definition at line 685 of file psmfilereaderbase.cpp.

{
if(m_currentPeaklistFile.name.isEmpty())
{
throw pappso::PappsoException(QObject::tr("ERROR: m_currentPeaklistFile is empty"));
}
if(m_cborScanId.isEmpty())
{
throw pappso::PappsoException(QObject::tr("ERROR: m_cborScanId is empty"));
}
if(m_cborScanPrecursor.isEmpty())
{
throw pappso::PappsoException(QObject::tr("ERROR: m_cborScanPrecursor is empty"));
}
if(!m_cborScanId.keys().contains("index"))
{
throw pappso::PappsoException("There is no scan index");
}
if(m_cborScanMs2.isEmpty())
{
throw pappso::PappsoException(QObject::tr("ERROR: m_cborScanMs2 is empty"));
}
else
{
if(!m_cborScanMs2.keys().contains("mz"))
{
throw pappso::PappsoException("There is no ms2 mz values");
}
if(!m_cborScanMs2.keys().contains("intensity"))
{
throw pappso::PappsoException("There is no ms2 intensity values");
}
}
pappso::MsRunId msrun_id(m_currentPeaklistFile.name);
msrun_id.setSampleName(m_currentSampleName);
pappso::MsRunIdCstSPtr msrun_id_sp = std::make_shared<const pappso::MsRunId>(msrun_id);
pappso::MassSpectrumId ms_id(msrun_id_sp);
ms_id.setSpectrumIndex(m_cborScanId.value("index").toInteger());
// native_id
if(m_cborScanId.keys().contains("native_id"))
{
ms_id.setNativeId(m_cborScanId.value("native_id").toString());
}
std::vector<DataPoint> data_point_vector;
std::size_t i = 0;
for(auto cbor_mz_value : m_cborScanMs2.value("mz").toArray())
{
data_point_vector.push_back(
{cbor_mz_value.toDouble(), m_cborScanMs2.value("intensity").toArray().at(i).toDouble()});
i++;
}
MassSpectrum mass_spectrum(data_point_vector);
pappso::PrecursorIonData precursor_ion_data;
pappso::QualifiedMassSpectrum qualified_mass_spectrum(ms_id);
qualified_mass_spectrum.setMassSpectrumSPtr(mass_spectrum.makeMassSpectrumSPtr());
qualified_mass_spectrum.setMsLevel(2);
if(m_cborScanPrecursor.keys().contains("z"))
{
precursor_ion_data.charge = m_cborScanPrecursor.value("z").toInteger();
}
if(m_cborScanPrecursor.keys().contains("mz"))
{
precursor_ion_data.mz = m_cborScanPrecursor.value("mz").toDouble();
}
if(m_cborScanPrecursor.keys().contains("intensity"))
{
precursor_ion_data.intensity = m_cborScanPrecursor.value("intensity").toDouble();
}
qualified_mass_spectrum.appendPrecursorIonData(precursor_ion_data);
if(m_cborScanMs2.keys().contains("rt"))
{
qualified_mass_spectrum.setRtInSeconds(m_cborScanMs2.value("rt").toDouble());
}
return qualified_mass_spectrum.makeQualifiedMassSpectrumSPtr();
}
pappso::cbor::psm::PsmFileReaderBase::m_currentPeaklistFile
PsmFile m_currentPeaklistFile
Definition psmfilereaderbase.h:131
pappso::cbor::psm::PsmFileReaderBase::m_currentSampleName
QString m_currentSampleName
Definition psmfilereaderbase.h:130
pappso::cbor::psm::PsmFileReaderBase::m_cborScanPrecursor
QCborMap m_cborScanPrecursor
Definition psmfilereaderbase.h:137
pappso::cbor::psm::PsmFileReaderBase::m_cborScanId
QCborMap m_cborScanId
Definition psmfilereaderbase.h:136
pappso::cbor::psm::PsmFileReaderBase::m_cborScanMs2
QCborMap m_cborScanMs2
Definition psmfilereaderbase.h:138
pappso::MsRunIdCstSPtr
std::shared_ptr< const MsRunId > MsRunIdCstSPtr
Definition msrunid.h:46
pappso::PrecursorIonData::mz
double mz
Definition qualifiedmassspectrum.h:76
pappso::PrecursorIonData::intensity
double intensity
Definition qualifiedmassspectrum.h:78
pappso::PrecursorIonData::charge
int charge
Definition qualifiedmassspectrum.h:77

References pappso::QualifiedMassSpectrum::appendPrecursorIonData(), pappso::PrecursorIonData::charge, pappso::PrecursorIonData::intensity, m_cborScanId, m_cborScanMs2, m_cborScanPrecursor, m_currentPeaklistFile, m_currentSampleName, pappso::MassSpectrum::makeMassSpectrumSPtr(), pappso::QualifiedMassSpectrum::makeQualifiedMassSpectrumSPtr(), pappso::PrecursorIonData::mz, pappso::QualifiedMassSpectrum::setMassSpectrumSPtr(), pappso::QualifiedMassSpectrum::setMsLevel(), pappso::MassSpectrumId::setNativeId(), pappso::QualifiedMassSpectrum::setRtInSeconds(), pappso::MsRunId::setSampleName(), and pappso::MassSpectrumId::setSpectrumIndex().

## getPrecursorMass()

double pappso::cbor::psm::PsmFileReaderBase::getPrecursorMass | ( | double | mz_prec,
|  | uint | charge ) const

protected

convenient function do compute precusor ion mass

Definition at line 783 of file psmfilereaderbase.cpp.

{
// compute precursor mass given the charge state
mz_prec = mz_prec * (double)charge;
mz_prec -= (MHPLUS * (double)charge);
return mz_prec;
}
pappso::MHPLUS
const pappso_double MHPLUS(1.007276466879)

References pappso::MHPLUS().

## informationsReady()

void pappso::cbor::psm::PsmFileReaderBase::informationsReady | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, pappso::cbor::psm::PsmFileAppend, and pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 624 of file psmfilereaderbase.cpp.

{
}

Referenced by readInformations().

## logReady()

void pappso::cbor::psm::PsmFileReaderBase::logReady | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, and pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 634 of file psmfilereaderbase.cpp.

{
}

Referenced by readRoot().

## parameterMapReady()

void pappso::cbor::psm::PsmFileReaderBase::parameterMapReady | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, pappso::cbor::psm::PsmFeatures, pappso::cbor::psm::PsmFileAppend, pappso::cbor::psm::PsmFileScanProcessAndCopy, pappso::cbor::psm::PsmIonSeries, pappso::cbor::psm::PsmNewEval, pappso::cbor::psm::PsmSpecGlob, and pappso::cbor::psm::PsmSpecPeptidOms.

Definition at line 629 of file psmfilereaderbase.cpp.

{
}

Referenced by readParameterMap().

## proteinMapReady()

void pappso::cbor::psm::PsmFileReaderBase::proteinMapReady | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmFileScanProcessAndCopy, and pappso::cbor::psm::PsmSpecPeptidOms.

Definition at line 645 of file psmfilereaderbase.cpp.

{
}

Referenced by readProteinMap().

## psmReady()

void pappso::cbor::psm::PsmFileReaderBase::psmReady | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json.

Definition at line 618 of file psmfilereaderbase.cpp.

{
// PSM is ready, do what you want :)
}

Referenced by readPsm().

## readCbor() [1/2]

void pappso::cbor::psm::PsmFileReaderBase::readCbor | ( | QFile * | cborp,
|  | pappso::UiMonitorInterface & | monitor )

Definition at line 68 of file psmfilereaderbase.cpp.

{
qDebug();
initCborReader(cborp);
qDebug();
if(mpa_cborReader->isMap())
{
readRoot(monitor);
}
qDebug();
}
pappso::cbor::CborStreamReaderInterface::initCborReader
void initCborReader(QFile *pcborfile)
Definition cborstreamreaderinterface.cpp:80
pappso::cbor::CborStreamReaderInterface::mpa_cborReader
CborStreamReader * mpa_cborReader
Definition cborstreamreaderinterface.h:68
pappso::cbor::psm::PsmFileReaderBase::readRoot
void readRoot(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:106

References pappso::cbor::CborStreamReaderInterface::initCborReader(), pappso::cbor::CborStreamReaderInterface::mpa_cborReader, and readRoot().

## readCbor() [2/2]

void pappso::cbor::psm::PsmFileReaderBase::readCbor | ( | QIODevice * | cborp,
|  | pappso::UiMonitorInterface & | monitor )

Definition at line 53 of file psmfilereaderbase.cpp.

{
qDebug();
initCborReader(cborp);
qDebug();
if(mpa_cborReader->isMap())
{
readRoot(monitor);
}
qDebug();
}

References pappso::cbor::CborStreamReaderInterface::initCborReader(), pappso::cbor::CborStreamReaderInterface::mpa_cborReader, and readRoot().

## readInformations()

void pappso::cbor::psm::PsmFileReaderBase::readInformations | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Definition at line 192 of file psmfilereaderbase.cpp.

{
bool is_ok;
// m_cborInformations.clear();
is_ok = mpa_cborReader->readCborMap(m_cborInformations);
if(!is_ok)
{
throw pappso::PappsoException("ERROR: PSM cbor header informations not well formed");
}
qDebug() << m_cborInformations.keys();
if(m_cborInformations.value("type").toString() != "psm")
{
QStringList all_keys;
for(auto it_k : m_cborInformations.keys())
{
all_keys << it_k.toString();
}
throw pappso::PappsoException(
QObject::tr("ERROR: this file does not contain PSM data but %1 and %2")
.arg(m_cborInformations.value("type").toString())
.arg(all_keys.join(" ")));
}
informationsReady(monitor);
}
pappso::cbor::psm::PsmFileReaderBase::informationsReady
virtual void informationsReady(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:624
pappso::cbor::psm::PsmFileReaderBase::m_cborInformations
QCborMap m_cborInformations
Definition psmfilereaderbase.h:133

References informationsReady(), m_cborInformations, and pappso::cbor::CborStreamReaderInterface::mpa_cborReader.

Referenced by readRoot().

## readLog()

void pappso::cbor::psm::PsmFileReaderBase::readLog | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Definition at line 219 of file psmfilereaderbase.cpp.

{
bool is_ok;
// m_cborInformations.clear();
is_ok = mpa_cborReader->readCborArray(m_cborLog);
if(!is_ok)
{
throw pappso::PappsoException("ERROR: PSM cbor header log not well formed");
}
}
pappso::cbor::psm::PsmFileReaderBase::m_cborLog
QCborArray m_cborLog
Definition psmfilereaderbase.h:134

References m_cborLog, and pappso::cbor::CborStreamReaderInterface::mpa_cborReader.

Referenced by readRoot().

## readParameterMap()

void pappso::cbor::psm::PsmFileReaderBase::readParameterMap | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Definition at line 233 of file psmfilereaderbase.cpp.

{
bool is_ok;
m_cborParameterMap.clear();
is_ok = mpa_cborReader->readCborMap(m_cborParameterMap);
if(!is_ok)
{
throw pappso::PappsoException("ERROR: PSM cbor parameter_map not well formed");
}
parameterMapReady(monitor);
}
pappso::cbor::psm::PsmFileReaderBase::m_cborParameterMap
QCborMap m_cborParameterMap
Definition psmfilereaderbase.h:135
pappso::cbor::psm::PsmFileReaderBase::parameterMapReady
virtual void parameterMapReady(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:629

References m_cborParameterMap, pappso::cbor::CborStreamReaderInterface::mpa_cborReader, and parameterMapReady().

Referenced by readRoot().

## readProteinMap()

void pappso::cbor::psm::PsmFileReaderBase::readProteinMap | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json.

Definition at line 247 of file psmfilereaderbase.cpp.

{
m_proteinMap.readMap(*mpa_cborReader);
proteinMapReady(monitor);
}
pappso::cbor::psm::PsmFileReaderBase::proteinMapReady
virtual void proteinMapReady(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:645

References m_proteinMap, pappso::cbor::CborStreamReaderInterface::mpa_cborReader, and proteinMapReady().

Referenced by readRoot().

## readPsm()

void pappso::cbor::psm::PsmFileReaderBase::readPsm | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Definition at line 518 of file psmfilereaderbase.cpp.

{
bool is_ok;
mpa_cborReader->enterContainer();
getExpectedString();
// "proforma": "AQEEM[+15.99491]AQVAK",
if(m_expectedString == "proforma")
{
if(!mpa_cborReader->decodeString(m_currentPsmProforma))
{
throw pappso::PappsoException("ERROR: proforma element in psm-scan is not a string");
}
}
else
{
throw pappso::PappsoException("ERROR: expecting proforma element in psm-scan");
}
//"protein_list" : [
//{
//"accession": "GRMZM2G083841_P01",
//"position": [15,236]
//}
//],
getExpectedString();
m_currentPsmProteinRefList.clear();
qDebug() << m_expectedString;
if(m_expectedString == "protein_list")
{
mpa_cborReader->enterContainer(); // array
while(!mpa_cborReader->lastError() && mpa_cborReader->hasNext())
{
m_currentPsmProteinRefList.push_back(readPsmProteinRef(is_ok));
if(!is_ok)
{
qDebug();
throw pappso::PappsoException(
QObject::tr("ERROR: reading protein_list element in psm-scan"));
}
}
// qDebug() << mpa_cborReader->type();
mpa_cborReader->leaveContainer(); // array
}
else
{
throw pappso::PappsoException("ERROR: expecting protein_list element in psm-scan");
}
// props: {
m_cborScanPsmProps.clear();
//"eval": {
qDebug();
m_cborScanPsmEval.clear();
getExpectedString();
qDebug() << m_expectedString;
if(m_expectedString == "props")
{
is_ok = mpa_cborReader->readCborMap(m_cborScanPsmProps);
if(!is_ok)
{
throw pappso::PappsoException("ERROR: props element in psm-scan is not well formed");
}
if(!getExpectedString())
{
throw pappso::PappsoException(
QObject::tr("ERROR: expecting eval element in psm-scan %1").arg(m_currentPsmProforma));
}
}
if(m_expectedString == "eval")
{
is_ok = mpa_cborReader->readCborMap(m_cborScanPsmEval);
if(!is_ok)
{
throw pappso::PappsoException("ERROR: eval element in psm-scan is not well formed");
}
}
else
{
throw pappso::PappsoException(
QObject::tr("ERROR: expecting eval element in psm-scan %1 not %2 in %3 %4 %5")
.arg(m_currentPsmProforma)
.arg(m_expectedString)
.arg(__FILE__)
.arg(__FUNCTION__)
.arg(__LINE__));
}
qDebug() << m_expectedString;
mpa_cborReader->leaveContainer();
qDebug();
psmReady(monitor);
}
pappso::cbor::CborStreamReaderInterface::m_expectedString
QString m_expectedString
Definition cborstreamreaderinterface.h:69
pappso::cbor::CborStreamReaderInterface::getExpectedString
bool getExpectedString()
Definition cborstreamreaderinterface.cpp:54
pappso::cbor::psm::PsmFileReaderBase::m_cborScanPsmProps
QCborMap m_cborScanPsmProps
Definition psmfilereaderbase.h:141
pappso::cbor::psm::PsmFileReaderBase::psmReady
virtual void psmReady(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:618
pappso::cbor::psm::PsmFileReaderBase::m_cborScanPsmEval
QCborMap m_cborScanPsmEval
Definition psmfilereaderbase.h:140
pappso::cbor::psm::PsmFileReaderBase::readPsmProteinRef
PsmProteinRef readPsmProteinRef(bool &is_ok)
Definition psmfilereaderbase.cpp:255

References pappso::cbor::CborStreamReaderInterface::getExpectedString(), m_cborScanPsmEval, m_cborScanPsmProps, m_currentPsmProforma, m_currentPsmProteinRefList, pappso::cbor::CborStreamReaderInterface::m_expectedString, pappso::cbor::CborStreamReaderInterface::mpa_cborReader, psmReady(), and readPsmProteinRef().

Referenced by readScan().

## readPsmFile()

PsmFile pappso::cbor::psm::PsmFileReaderBase::readPsmFile | ( | bool & | is_ok | ) |

protected

Definition at line 298 of file psmfilereaderbase.cpp.

{
is_ok = false;
PsmFile file;
mpa_cborReader->enterContainer();
getExpectedString();
if(m_expectedString == "name")
{
if(!mpa_cborReader->decodeString(file.name))
{
throw pappso::PappsoException("file name is not a string");
}
is_ok = true;
}
else
{
throw pappso::PappsoException("ERROR: expecting name element in file");
}
mpa_cborReader->leaveContainer();
return file;
}

References pappso::cbor::CborStreamReaderInterface::getExpectedString(), pappso::cbor::CborStreamReaderInterface::m_expectedString, pappso::cbor::CborStreamReaderInterface::mpa_cborReader, and pappso::cbor::psm::PsmFile::name.

Referenced by readSample().

## readPsmProteinRef()

PsmFileReaderBase::PsmProteinRef pappso::cbor::psm::PsmFileReaderBase::readPsmProteinRef | ( | bool & | is_ok | ) |

protected

Definition at line 255 of file psmfilereaderbase.cpp.

{
PsmProteinRef protein_ref;
protein_ref.accession = "";
protein_ref.positions.clear();
mpa_cborReader->enterContainer();
getExpectedString();
qDebug() << m_expectedString;
if(m_expectedString == "accession")
{
is_ok = mpa_cborReader->decodeString(protein_ref.accession);
if(!is_ok)
{
throw pappso::PappsoException("ERROR: protein accession is not a string");
}
}
else
{
throw pappso::PappsoException("ERROR: expecting accession element in PSM protein_list");
}
getExpectedString();
qDebug() << m_expectedString;
if(m_expectedString == "positions")
{
mpa_cborReader->readArray(protein_ref.positions);
// mpa_cborReader->next();
}
else
{
throw pappso::PappsoException(
QString("ERROR: expecting positions element in PSM protein_list not %1")
.arg(m_expectedString));
}
mpa_cborReader->leaveContainer();
qDebug() << "end";
return protein_ref;
}
pappso::cbor::psm::PsmFileReaderBase::PsmProteinRef
Definition psmfilereaderbase.h:71
pappso::cbor::psm::PsmFileReaderBase::PsmProteinRef::accession
QString accession
Definition psmfilereaderbase.h:72

References pappso::cbor::psm::PsmFileReaderBase::PsmProteinRef::accession, pappso::cbor::CborStreamReaderInterface::getExpectedString(), pappso::cbor::CborStreamReaderInterface::m_expectedString, pappso::cbor::CborStreamReaderInterface::mpa_cborReader, and pappso::cbor::psm::PsmFileReaderBase::PsmProteinRef::positions.

Referenced by readPsm().

## readRoot()

void pappso::cbor::psm::PsmFileReaderBase::readRoot | ( | pappso::UiMonitorInterface & | monitor | ) |

protected

Definition at line 106 of file psmfilereaderbase.cpp.

{
qDebug();
mpa_cborReader->enterContainer();
getExpectedString();
if(m_expectedString == "informations")
{
qDebug() << m_expectedString;
readInformations(monitor);
getExpectedString();
qDebug() << m_expectedString;
if(m_expectedString == "log")
{
qDebug() << m_expectedString;
readLog(monitor);
getExpectedString();
}
logReady(monitor);
}
else
{
throw pappso::PappsoException("ERROR: expecting informations element");
}
qDebug() << m_expectedString;
if(m_expectedString == "parameter_map")
{
qDebug();
readParameterMap(monitor);
}
else
{
throw pappso::PappsoException("ERROR: expecting parameter_map element");
}
getExpectedString();
m_targetFastaFiles.clear();
m_decoyFastaFiles.clear();
if(m_expectedString == "target_fasta_files")
{
mpa_cborReader->readArray(m_targetFastaFiles);
getExpectedString();
}
if(m_expectedString == "decoy_fasta_files")
{
mpa_cborReader->readArray(m_decoyFastaFiles);
getExpectedString();
}
fastaFilesReady(monitor);
if(m_expectedString == "protein_map")
{
readProteinMap(monitor);
getExpectedString();
}
if(m_expectedString == "sample_list")
{
sampleListStarted(monitor);
mpa_cborReader->enterContainer(); // array
while(!mpa_cborReader->lastError() && mpa_cborReader->hasNext())
{
readSample(monitor);
}
mpa_cborReader->leaveContainer(); // array
sampleListFinished(monitor);
}
else
{
throw pappso::PappsoException(
QObject::tr("ERROR: expecting sample_list element not %1").arg(m_expectedString));
}
mpa_cborReader->leaveContainer(); // whole file
if(!mpa_cborReader->lastError() && mpa_cborReader->hasNext())
{
readRoot(monitor);
}
}
pappso::cbor::psm::PsmFileReaderBase::m_targetFastaFiles
QStringList m_targetFastaFiles
Definition psmfilereaderbase.h:127
pappso::cbor::psm::PsmFileReaderBase::m_decoyFastaFiles
QStringList m_decoyFastaFiles
Definition psmfilereaderbase.h:128
pappso::cbor::psm::PsmFileReaderBase::sampleListStarted
virtual void sampleListStarted(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:772
pappso::cbor::psm::PsmFileReaderBase::logReady
virtual void logReady(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:634
pappso::cbor::psm::PsmFileReaderBase::readLog
virtual void readLog(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:219
pappso::cbor::psm::PsmFileReaderBase::readParameterMap
virtual void readParameterMap(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:233
pappso::cbor::psm::PsmFileReaderBase::readInformations
virtual void readInformations(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:192
pappso::cbor::psm::PsmFileReaderBase::sampleListFinished
virtual void sampleListFinished(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:777
pappso::cbor::psm::PsmFileReaderBase::fastaFilesReady
virtual void fastaFilesReady(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:640
pappso::cbor::psm::PsmFileReaderBase::readProteinMap
virtual void readProteinMap(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:247
pappso::cbor::psm::PsmFileReaderBase::readSample
virtual void readSample(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:344

References fastaFilesReady(), pappso::cbor::CborStreamReaderInterface::getExpectedString(), logReady(), m_decoyFastaFiles, pappso::cbor::CborStreamReaderInterface::m_expectedString, m_targetFastaFiles, pappso::cbor::CborStreamReaderInterface::mpa_cborReader, readInformations(), readLog(), readParameterMap(), readProteinMap(), readRoot(), readSample(), sampleListFinished(), and sampleListStarted().

Referenced by readCbor(), readCbor(), and readRoot().

## readSample()

void pappso::cbor::psm::PsmFileReaderBase::readSample | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmFileAppend.

Definition at line 344 of file psmfilereaderbase.cpp.

{
//"name": "tandem2017_nopatch_20120906_balliau_extract_1_A01_urnb-1",
qDebug();
mpa_cborReader->enterContainer();
getExpectedString();
qDebug() << m_expectedString;
if(m_expectedString == "name")
{
if(!mpa_cborReader->decodeString(m_currentSampleName))
{
throw pappso::PappsoException("sample name is not a string");
}
}
else
{
throw pappso::PappsoException("ERROR: expecting name element in file");
}
//"identification_file_list": [{ "name":
//"/home/langella/data1/tandem/tandem2017_nopatch_20120906_balliau_extract_1_A01_urnb-1.xml",
//}],
getExpectedString();
qDebug() << m_expectedString;
m_currentIdentificationFileList.clear();
if(m_expectedString == "identification_file_list")
{
bool is_ok;
mpa_cborReader->enterContainer();
while(!mpa_cborReader->lastError() && mpa_cborReader->hasNext())
{
m_currentIdentificationFileList.push_back(readPsmFile(is_ok));
}
mpa_cborReader->leaveContainer();
getExpectedString();
}
//"peaklist_file": {"name": "tandem2017_nopatch_20120906_balliau_extract_1_A01_urnb-1.mzml"
//},
if(m_expectedString == "peaklist_file")
{
bool is_ok;
m_currentPeaklistFile = readPsmFile(is_ok);
}
else
{
throw pappso::PappsoException("ERROR: expecting peaklist_file element in sample");
}
//"scan_list": [
sampleStarted(monitor);
getExpectedString();
if(m_expectedString == "scan_list")
{
mpa_cborReader->enterContainer();
while(!mpa_cborReader->lastError() && mpa_cborReader->hasNext())
{
readScan(monitor);
}
mpa_cborReader->leaveContainer();
}
else
{
throw pappso::PappsoException("ERROR: expecting scan_list element in sample");
}
mpa_cborReader->leaveContainer();
sampleFinished(monitor);
}
pappso::cbor::psm::PsmFileReaderBase::sampleStarted
virtual void sampleStarted(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:650
pappso::cbor::psm::PsmFileReaderBase::readPsmFile
PsmFile readPsmFile(bool &is_ok)
Definition psmfilereaderbase.cpp:298
pappso::cbor::psm::PsmFileReaderBase::readScan
virtual void readScan(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:419
pappso::cbor::psm::PsmFileReaderBase::m_currentIdentificationFileList
std::vector< PsmFile > m_currentIdentificationFileList
Definition psmfilereaderbase.h:132
pappso::cbor::psm::PsmFileReaderBase::sampleFinished
virtual void sampleFinished(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:665

References pappso::cbor::CborStreamReaderInterface::getExpectedString(), m_currentIdentificationFileList, m_currentPeaklistFile, m_currentSampleName, pappso::cbor::CborStreamReaderInterface::m_expectedString, pappso::cbor::CborStreamReaderInterface::mpa_cborReader, readPsmFile(), readScan(), sampleFinished(), and sampleStarted().

Referenced by readRoot().

## readScan()

void pappso::cbor::psm::PsmFileReaderBase::readScan | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmFileScanProcess.

Definition at line 419 of file psmfilereaderbase.cpp.

{
qDebug();
m_cborScanId.clear();
mpa_cborReader->enterContainer();
//"id": {
//"index": 1976
//},
qDebug() << "scan begin";
getExpectedString();
qDebug() << m_expectedString;
if(m_expectedString == "id")
{
if(!mpa_cborReader->readCborMap(m_cborScanId))
{
throw pappso::PappsoException(QObject::tr("id element in scan is not a cbor map"));
}
}
else
{
throw pappso::PappsoException(
QObject::tr("ERROR: expecting id element in scan not %1").arg(m_expectedString));
}
//"precursor": {
//"z": 2,
//"mz": 1120.529471
//},
getExpectedString();
m_cborScanPrecursor.clear();
qDebug() << m_expectedString;
if(m_expectedString == "precursor")
{
if(!mpa_cborReader->readCborMap(m_cborScanPrecursor))
{
throw pappso::PappsoException(QObject::tr("precursor element in scan is not a cbor map"));
}
}
//"ms2": {PSM CBOR format documentation
//"rt": 12648.87,
//"mz" :[1,2,3,4],
//"intensity" : [1,2,3,4]
//},
getExpectedString();
qDebug() << m_expectedString;
m_cborScanMs2.clear();
if(m_expectedString == "ms2")
{
if(!mpa_cborReader->readCborMap(m_cborScanMs2))
{
throw pappso::PappsoException(
QObject::tr("ms2 element in scan is not a cbor map %1 %2:\n%3")
.arg(m_currentSampleName)
.arg(m_cborScanId.value("index").toInteger())
.arg(mpa_cborReader->lastError().toString()));
}
}
getExpectedString();
qDebug() << m_expectedString;
if(m_expectedString == "props")
{
bool is_ok;
is_ok = mpa_cborReader->readCborMap(m_cborScanProps);
if(!is_ok)
{
throw pappso::PappsoException("ERROR: props element in scan is not well formed");
}
if(!getExpectedString())
{
throw pappso::PappsoException(
QObject::tr("ERROR: expecting psm_list element in scan %1").arg(m_currentPsmProforma));
}
}
//"psm_list": [
scanStarted(monitor);
if(m_expectedString == "psm_list")
{
mpa_cborReader->enterContainer();
while(!mpa_cborReader->lastError() && mpa_cborReader->hasNext())
{
readPsm(monitor);
}
mpa_cborReader->leaveContainer();
}
mpa_cborReader->leaveContainer();
qDebug() << "scan end";
scanFinished(monitor);
qDebug();
}
pappso::cbor::psm::PsmFileReaderBase::m_cborScanProps
QCborMap m_cborScanProps
Definition psmfilereaderbase.h:139
pappso::cbor::psm::PsmFileReaderBase::scanStarted
virtual void scanStarted(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:655
pappso::cbor::psm::PsmFileReaderBase::readPsm
virtual void readPsm(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:518
pappso::cbor::psm::PsmFileReaderBase::scanFinished
virtual void scanFinished(pappso::UiMonitorInterface &monitor)
Definition psmfilereaderbase.cpp:660

References pappso::cbor::CborStreamReaderInterface::getExpectedString(), m_cborScanId, m_cborScanMs2, m_cborScanPrecursor, m_cborScanProps, m_currentPsmProforma, m_currentSampleName, pappso::cbor::CborStreamReaderInterface::m_expectedString, pappso::cbor::CborStreamReaderInterface::mpa_cborReader, readPsm(), scanFinished(), and scanStarted().

Referenced by readSample().

## sampleFinished()

void pappso::cbor::psm::PsmFileReaderBase::sampleFinished | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, pappso::cbor::psm::PsmFileScanProcess, and pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 665 of file psmfilereaderbase.cpp.

{
}

Referenced by readSample().

## sampleListFinished()

void pappso::cbor::psm::PsmFileReaderBase::sampleListFinished | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, and pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 777 of file psmfilereaderbase.cpp.

{
}

Referenced by readRoot().

## sampleListStarted()

void pappso::cbor::psm::PsmFileReaderBase::sampleListStarted | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, and pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 772 of file psmfilereaderbase.cpp.

{
}

Referenced by readRoot().

## sampleStarted()

void pappso::cbor::psm::PsmFileReaderBase::sampleStarted | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, and pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 650 of file psmfilereaderbase.cpp.

{
}

Referenced by readSample().

## scanFinished()

void pappso::cbor::psm::PsmFileReaderBase::scanFinished | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json, and pappso::cbor::psm::PsmFileScanProcess.

Definition at line 660 of file psmfilereaderbase.cpp.

{
}

Referenced by readScan().

## scanStarted()

void pappso::cbor::psm::PsmFileReaderBase::scanStarted | ( | pappso::UiMonitorInterface & | monitor | ) |

protected virtual

Reimplemented in pappso::cbor::psm::PsmCbor2Json.

Definition at line 655 of file psmfilereaderbase.cpp.

{
}

Referenced by readScan().

## writePsmFile()

void pappso::cbor::psm::PsmFileReaderBase::writePsmFile | ( | CborStreamWriter & | writer,
|  | const PsmFile & | psm_file )

protected

Definition at line 322 of file psmfilereaderbase.cpp.

{
writer.startMap();
writer.append("name");
writer.append(psm_file.name);
writer.endMap();
}

References pappso::cbor::psm::PsmFile::name.

Referenced by pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleStarted(), and writePsmFileList().

## writePsmFileList()

void pappso::cbor::psm::PsmFileReaderBase::writePsmFileList | ( | CborStreamWriter & | writer,
|  | const std::vector< PsmFile > & | file_list )

protected

Definition at line 331 of file psmfilereaderbase.cpp.

{
writer.startArray();
for(auto &psm_file : file_list)
{
writePsmFile(writer, psm_file);
}
writer.endArray();
}
pappso::cbor::psm::PsmFileReaderBase::writePsmFile
void writePsmFile(CborStreamWriter &writer, const PsmFile &psm_file)
Definition psmfilereaderbase.cpp:322

References writePsmFile().

Referenced by pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleStarted().

## Member Data Documentation

## m_cborInformations

QCborMap pappso::cbor::psm::PsmFileReaderBase::m_cborInformations

protected

Definition at line 133 of file psmfilereaderbase.h.

Referenced by pappso::cbor::psm::PsmCbor2Json::informationsReady(), pappso::cbor::psm::PsmFileAppend::informationsReady(), pappso::cbor::psm::PsmFileScanProcessAndCopy::logReady(), and readInformations().

## m_cborLog

QCborArray pappso::cbor::psm::PsmFileReaderBase::m_cborLog

protected

Definition at line 134 of file psmfilereaderbase.h.

Referenced by pappso::cbor::psm::PsmCbor2Json::logReady(), pappso::cbor::psm::PsmFileScanProcessAndCopy::logReady(), and readLog().

## m_cborParameterMap

QCborMap pappso::cbor::psm::PsmFileReaderBase::m_cborParameterMap

protected

Definition at line 135 of file psmfilereaderbase.h.

Referenced by pappso::cbor::psm::PsmFileAppend::mergeParameterMap(), pappso::cbor::psm::PsmCbor2Json::parameterMapReady(), pappso::cbor::psm::PsmFeatures::parameterMapReady(), pappso::cbor::psm::PsmFileScanProcessAndCopy::parameterMapReady(), pappso::cbor::psm::PsmIonSeries::parameterMapReady(), pappso::cbor::psm::PsmNewEval::parameterMapReady(), pappso::cbor::psm::PsmSpecGlob::parameterMapReady(), pappso::cbor::psm::PsmSpecPeptidOms::parameterMapReady(), and readParameterMap().

## m_cborScanId

QCborMap pappso::cbor::psm::PsmFileReaderBase::m_cborScanId

protected

Definition at line 136 of file psmfilereaderbase.h.

Referenced by getCurrentQualifiedMassSpectrumSPtr(), readScan(), and pappso::cbor::psm::PsmCbor2Json::scanStarted().

## m_cborScanMs2

QCborMap pappso::cbor::psm::PsmFileReaderBase::m_cborScanMs2

protected

Definition at line 138 of file psmfilereaderbase.h.

Referenced by getCurrentQualifiedMassSpectrumSPtr(), readScan(), and pappso::cbor::psm::PsmCbor2Json::scanStarted().

## m_cborScanPrecursor

QCborMap pappso::cbor::psm::PsmFileReaderBase::m_cborScanPrecursor

protected

Definition at line 137 of file psmfilereaderbase.h.

Referenced by getCurrentQualifiedMassSpectrumSPtr(), readScan(), and pappso::cbor::psm::PsmCbor2Json::scanStarted().

## m_cborScanProps

QCborMap pappso::cbor::psm::PsmFileReaderBase::m_cborScanProps

protected

Definition at line 139 of file psmfilereaderbase.h.

Referenced by readScan(), and pappso::cbor::psm::PsmCbor2Json::scanStarted().

## m_cborScanPsmEval

QCborMap pappso::cbor::psm::PsmFileReaderBase::m_cborScanPsmEval

protected

Definition at line 140 of file psmfilereaderbase.h.

Referenced by pappso::cbor::psm::PsmCbor2Json::psmReady(), and readPsm().

## m_cborScanPsmProps

QCborMap pappso::cbor::psm::PsmFileReaderBase::m_cborScanPsmProps

protected

Definition at line 141 of file psmfilereaderbase.h.

Referenced by pappso::cbor::psm::PsmCbor2Json::psmReady(), and readPsm().

## m_currentIdentificationFileList

std::vector<PsmFile> pappso::cbor::psm::PsmFileReaderBase::m_currentIdentificationFileList

protected

Definition at line 132 of file psmfilereaderbase.h.

Referenced by readSample(), pappso::cbor::psm::PsmCbor2Json::sampleStarted(), and pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleStarted().

## m_currentPeaklistFile

PsmFile pappso::cbor::psm::PsmFileReaderBase::m_currentPeaklistFile

protected

Definition at line 131 of file psmfilereaderbase.h.

Referenced by getCurrentQualifiedMassSpectrumSPtr(), readSample(), pappso::cbor::psm::PsmCbor2Json::sampleStarted(), and pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleStarted().

## m_currentPsmProforma

QString pappso::cbor::psm::PsmFileReaderBase::m_currentPsmProforma

protected

Definition at line 142 of file psmfilereaderbase.h.

Referenced by getCurrentPsmPeptideSp(), pappso::cbor::psm::PsmCbor2Json::psmReady(), readPsm(), and readScan().

## m_currentPsmProteinRefList

std::vector<PsmProteinRef> pappso::cbor::psm::PsmFileReaderBase::m_currentPsmProteinRefList

protected

Definition at line 143 of file psmfilereaderbase.h.

Referenced by currentProteinRefListContainsDecoy(), currentProteinRefListContainsTarget(), pappso::cbor::psm::PsmCbor2Json::psmReady(), and readPsm().

## m_currentSampleName

QString pappso::cbor::psm::PsmFileReaderBase::m_currentSampleName

protected

Definition at line 130 of file psmfilereaderbase.h.

Referenced by getCurrentQualifiedMassSpectrumSPtr(), readSample(), readScan(), pappso::cbor::psm::PsmCbor2Json::sampleStarted(), and pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleStarted().

## m_decoyFastaFiles

QStringList pappso::cbor::psm::PsmFileReaderBase::m_decoyFastaFiles

protected

Definition at line 128 of file psmfilereaderbase.h.

Referenced by pappso::cbor::psm::PsmCbor2Json::fastaFilesReady(), pappso::cbor::psm::PsmFileAppend::fastaFilesReady(), pappso::cbor::psm::PsmFileScanProcessAndCopy::fastaFilesReady(), and readRoot().

## m_proteinMap

PsmProteinMap pappso::cbor::psm::PsmFileReaderBase::m_proteinMap

protected

Definition at line 129 of file psmfilereaderbase.h.

Referenced by pappso::cbor::psm::PsmFileAppend::close(), currentProteinRefListContainsDecoy(), currentProteinRefListContainsTarget(), pappso::cbor::psm::PsmFileScanProcessAndCopy::processBufferScanDone(), pappso::cbor::psm::PsmFileScanProcessAndCopy::proteinMapReady(), pappso::cbor::psm::PsmSpecPeptidOms::proteinMapReady(), and readProteinMap().

## m_targetFastaFiles

QStringList pappso::cbor::psm::PsmFileReaderBase::m_targetFastaFiles

protected

Definition at line 127 of file psmfilereaderbase.h.

Referenced by pappso::cbor::psm::PsmCbor2Json::fastaFilesReady(), pappso::cbor::psm::PsmFileAppend::fastaFilesReady(), pappso::cbor::psm::PsmFileScanProcessAndCopy::fastaFilesReady(), and readRoot().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/cbor/psm/psmfilereaderbase.h
- pappsomspp/core/processing/cbor/psm/psmfilereaderbase.cpp